Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.defaults
Class CollectionComponentParameterTestCase

    java.lang.Object
      org.picocontainer.defaults.CollectionComponentParameterTestCase

    public class CollectionComponentParameterTestCase

extends Object

Author:
  Aslak Hellesøy, Jörg Schaible, Mauro Talevi

Nested Class Summary
`static class` | `CollectionComponentParameterTestCase.AnotherGenericCollectionBowl`
`static class` | `CollectionComponentParameterTestCase.Bowl`
`static class` | `CollectionComponentParameterTestCase.Cod`
`static class` | `CollectionComponentParameterTestCase.CollectedBowl`
`static class` | `CollectionComponentParameterTestCase.DependsOnAll`
`static interface` | `CollectionComponentParameterTestCase.Fish`
`static class` | `CollectionComponentParameterTestCase.GenericCollectedBowl`
`static class` | `CollectionComponentParameterTestCase.MappedBowl`
`static class` | `CollectionComponentParameterTestCase.Shark`
`static class` | `CollectionComponentParameterTestCase.TouchableObserver`
`static class` | `CollectionComponentParameterTestCase.Truc`
`static class` | `CollectionComponentParameterTestCase.UngenericCollectionBowl`

Constructor Summary
`CollectionComponentParameterTestCase()`

Method Summary
`void` | `testAllowsEmptyArraysIfEspeciallySet()`
`void` | `testBowlWithoutTom()`
`void` | `testCollections()`
`void` | `testCollectionsAreGeneratedOnTheFly()`
`void` | `testDifferentCollectiveTypesAreResolved()`
`void` | `testGenericCollections()`
`void` | `testMaps()`
`void` | `testNativeArrays()`
`void` | `testOrderOfElementsOfAnArrayDependencyIsPreserved()`
`void` | `testShouldFailWhenThereAreNoComponentsToPutInTheArray()`
`void` | `testShouldInstantiateArrayOfStrings()`
`void` | `testShouldNotInstantiateCollectionForUngenericCollectionParameters()`
`void` | `testVerify()`
`void` | `testWillOmitSelfFromCollection()`
`void` | `testWillRemoveComponentsWithMatchingKeyFromParent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionComponentParameterTestCase

    public CollectionComponentParameterTestCase()

Method Detail

### testShouldInstantiateArrayOfStrings

    public void testShouldInstantiateArrayOfStrings()

### testNativeArrays

    public void testNativeArrays()

### testCollectionsAreGeneratedOnTheFly

    public void testCollectionsAreGeneratedOnTheFly()

### testCollections

    public void testCollections()

### testGenericCollections

    public void testGenericCollections()

### testMaps

    public void testMaps()

### testShouldNotInstantiateCollectionForUngenericCollectionParameters

    public void testShouldNotInstantiateCollectionForUngenericCollectionParameters()

### testShouldFailWhenThereAreNoComponentsToPutInTheArray

    public void testShouldFailWhenThereAreNoComponentsToPutInTheArray()

### testAllowsEmptyArraysIfEspeciallySet

    public void testAllowsEmptyArraysIfEspeciallySet()

### testWillOmitSelfFromCollection

    public void testWillOmitSelfFromCollection()

### testWillRemoveComponentsWithMatchingKeyFromParent

    public void testWillRemoveComponentsWithMatchingKeyFromParent()

### testBowlWithoutTom

    public void testBowlWithoutTom()

### testDifferentCollectiveTypesAreResolved

    public void testDifferentCollectiveTypesAreResolved()

### testVerify

    public void testVerify()

### testOrderOfElementsOfAnArrayDependencyIsPreserved

    public void testOrderOfElementsOfAnArrayDependencyIsPreserved()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.